org.eclipse.wst.jsdt.chromium.debug.js.launchers

## Class WIPLauncher

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.js.launchers.WIPLauncher

    public class WIPLauncher
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`WIPLauncher()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `encode(java.util.List<java.lang.String> wrappers)` Encoding predefined source wrappers via `MementoFormat` for correct decoding in `LaunchParams.PredefinedSourceWrapperIds`
`static void` `launch(IProject project, java.lang.String resourceRelativePath, java.lang.String url, int port)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WIPLauncher

    public WIPLauncher()

### Method Detail

#### launch

    public static void launch(IProject project,
                              java.lang.String resourceRelativePath,
                              java.lang.String url,
                              int port)
                       throws CoreException

Throws:
  `CoreException`

#### encode

    public static java.lang.String encode(java.util.List<java.lang.String> wrappers)

Encoding predefined source wrappers via `MementoFormat` for correct decoding in `LaunchParams.PredefinedSourceWrapperIds`